#ifndef UI_TEXTOVERLAYBUTTON_H
#define UI_TEXTOVERLAYBUTTON_H
/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

/** @file A tool button that overlays a text over the icon */

#include <QToolButton>
#include <QString>

class QPaintEvent;

class TextOverlayButton : public QToolButton
{
    Q_OBJECT

public:
    QString overlay() {return mOverlay;}

protected:
    virtual void paintEvent(QPaintEvent *);

public slots:
    void setOverlay (const QString& text) {mOverlay = text; repaint();}

private:
    QString mOverlay;
};

#endif // UI_TEXTOVERLAYBUTTON_H
